<template>
  <header class="header">
    <h1 class="title">наша продукция</h1>
    <div class="cart-container">
      <span class="cart-description">
        {{ count }} товар{{ wordEnding }}
        <br>
        на сумму {{ sum }} ₽
      </span>
      <router-link to="/cart">
        <cart-icon />
      </router-link>
    </div>
  </header>
</template>

<script>
import { prettifySum, getWordEnding } from '@/assets/js/util.js'
import CartIcon from '@/components/icons/CartIcon'
import { useStore } from 'vuex'
import { computed } from 'vue'

export default {
  components: {
    CartIcon
  },
  setup () {
    const store = useStore()
    const count = computed(() => store.getters.GetCount)
    const sum = computed(() => prettifySum(store.getters.GetSum))
    const wordEnding = computed(() => getWordEnding(count.value))
    return {
      count, sum, wordEnding
    }
  }
}
</script>

<style lang="scss" scoped>
.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 48px;

  .title {
    color: #FFFFFF;
    font-family: Montserrat;
    font-size: 31px;
    font-weight: 700;
    text-transform: uppercase;
  }

  .cart-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 0 20px;

    .cart-description {
      color: #FFFFFF;
      text-align: right;
      font-family: Montserrat;
      font-size: 17px;
      font-weight: 500;
    }
  }
}
</style>
